import request from '@/utils/request'


// 查询一站式社区-功能房-预约记录列表
export function listRoomReservation(query) {
  return request({
    url: '/staff/roomReservation/list',
    method: 'get',
    params: query
  })
}


// 查询一站式社区-功能房-预约记录列表，只查自己
export function listByUserName(query) {
  return request({
    url: '/staff/roomReservation/listByUserName',
    method: 'get',
    params: query
  })
}

export function getDetailList(id) {
	return request({
		url: '/staff/roomReservation/'+id,
		method: 'get',
	})
}


export function Update(data) {
	return request({
		url: '/staff/roomReservation/update',
		method: 'post',
		data:data
	})
}

// 删除功能房
export function Deleteid(rtIds) {
  return request({
    url: '/staff/roomReservation/' + rtIds,
    method: 'post'
  })
}
